summaryrefslogtreecommitdiff
path: root/package/totd/files/totd.init
diff options
context:
space:
mode:
authorPhil Sutter <phil@nwl.cc>2011-02-18 00:51:49 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2011-02-21 13:46:53 +0100
commit67ec049f25e299957fada55ea8738e0967547c6f (patch)
tree2984369c881188552d454a1d0d9948ac91d4947a /package/totd/files/totd.init
parent844d072abc82c8f027df2229b6843838642b082e (diff)
port totd, the trick or treat daemon
This is a simple DNS-ALG implementation used for NAT-PT & Co.
Diffstat (limited to 'package/totd/files/totd.init')
-rwxr-xr-xpackage/totd/files/totd.init26
1 files changed, 26 insertions, 0 deletions
diff --git a/package/totd/files/totd.init b/package/totd/files/totd.init
new file mode 100755
index 000000000..665e36171
--- /dev/null
+++ b/package/totd/files/totd.init
@@ -0,0 +1,26 @@
+#!/bin/sh
+#PKG totd
+#INIT 60
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${totd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ totd $totd_flags -c /etc/totd.conf
+ ;;
+stop)
+ pkill totd
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ ;;
+esac
+exit $?